Also remove DESTDIR from the path, this was most likely not intended.
Signed-off-by: Olaf Hering <olaf@aepfle.de>
Acked-by: Ian Campbell <ian.campbell@citrix.com>
Acked-by: Roger Pau Monné <roger.pau@citrix.com>
Cc: Ian Campbell <ian.campbell@citrix.com>
Cc: Ian Jackson <ian.jackson@eu.citrix.com>
Cc: Stefano Stabellini <stefano.stabellini@eu.citrix.com>
Cc: Wei Liu <wei.liu2@citrix.com>
[ ijc -- ran autogen.sh as requested ]
tools/flask/utils/flask-label-pci
tools/fs-back/fs-backend
tools/hotplug/common/hotplugpath.sh
+tools/hotplug/FreeBSD/rc.d/xencommons
tools/hotplug/Linux/init.d/xen-watchdog
tools/hotplug/Linux/init.d/xendomains
tools/hotplug/Linux/vif-setup
-ac_config_files="$ac_config_files ../config/Tools.mk hotplug/Linux/init.d/sysconfig.xencommons hotplug/Linux/init.d/xen-watchdog hotplug/Linux/init.d/xencommons.in hotplug/Linux/init.d/xendomains hotplug/Linux/systemd/proc-xen.mount hotplug/Linux/systemd/var-lib-xenstored.mount hotplug/Linux/systemd/xen-qemu-dom0-disk-backend.service hotplug/Linux/systemd/xen-watchdog.service hotplug/Linux/systemd/xenconsoled.service hotplug/Linux/systemd/xendomains.service hotplug/Linux/systemd/xenstored.service hotplug/Linux/systemd/xenstored.socket hotplug/Linux/systemd/xenstored_ro.socket hotplug/Linux/vif-setup hotplug/Linux/xen-backend.rules hotplug/Linux/xen-hotplug-common.sh hotplug/Linux/xendomains"
+ac_config_files="$ac_config_files ../config/Tools.mk hotplug/FreeBSD/rc.d/xencommons hotplug/Linux/init.d/sysconfig.xencommons hotplug/Linux/init.d/xen-watchdog hotplug/Linux/init.d/xencommons.in hotplug/Linux/init.d/xendomains hotplug/Linux/systemd/proc-xen.mount hotplug/Linux/systemd/var-lib-xenstored.mount hotplug/Linux/systemd/xen-qemu-dom0-disk-backend.service hotplug/Linux/systemd/xen-watchdog.service hotplug/Linux/systemd/xenconsoled.service hotplug/Linux/systemd/xendomains.service hotplug/Linux/systemd/xenstored.service hotplug/Linux/systemd/xenstored.socket hotplug/Linux/systemd/xenstored_ro.socket hotplug/Linux/vif-setup hotplug/Linux/xen-backend.rules hotplug/Linux/xen-hotplug-common.sh hotplug/Linux/xendomains"
ac_config_headers="$ac_config_headers config.h"
do
case $ac_config_target in
"../config/Tools.mk") CONFIG_FILES="$CONFIG_FILES ../config/Tools.mk" ;;
+ "hotplug/FreeBSD/rc.d/xencommons") CONFIG_FILES="$CONFIG_FILES hotplug/FreeBSD/rc.d/xencommons" ;;
"hotplug/Linux/init.d/sysconfig.xencommons") CONFIG_FILES="$CONFIG_FILES hotplug/Linux/init.d/sysconfig.xencommons" ;;
"hotplug/Linux/init.d/xen-watchdog") CONFIG_FILES="$CONFIG_FILES hotplug/Linux/init.d/xen-watchdog" ;;
"hotplug/Linux/init.d/xencommons.in") CONFIG_FILES="$CONFIG_FILES hotplug/Linux/init.d/xencommons.in" ;;
AC_CONFIG_SRCDIR([libxl/libxl.c])
AC_CONFIG_FILES([
../config/Tools.mk
+hotplug/FreeBSD/rc.d/xencommons
hotplug/Linux/init.d/sysconfig.xencommons
hotplug/Linux/init.d/xen-watchdog
hotplug/Linux/init.d/xencommons.in
set -e; for i in $(XEN_RCD_PROG); \
do \
$(INSTALL_PROG) $$i $(DESTDIR)$(INITD_DIR); \
- sed -i '' 's,@xen_script_dir@,$(DESTDIR)$(XEN_SCRIPT_DIR),g' $(DESTDIR)$(CONFIG_DIR)/$$i; \
done
$(INSTALL_DATA) ../common/hotplugpath.sh $(DESTDIR)$(XEN_SCRIPT_DIR)
+++ /dev/null
-#!/bin/sh
-#
-# PROVIDE: xencommons
-# REQUIRE: DAEMON
-
-. /etc/rc.subr
-
-. @xen_script_dir@/hotplugpath.sh
-
-LD_LIBRARY_PATH="${LIBDIR}"
-export LD_LIBRARY_PATH
-
-name="xencommons"
-start_precmd="xen_precmd"
-start_cmd="xen_startcmd"
-stop_cmd="xen_stop"
-status_cmd="xen_status"
-extra_commands="status"
-required_files="/dev/xen/privcmd"
-
-XENSTORED_PIDFILE="/var/run/xenstored.pid"
-XENCONSOLED_PIDFILE="/var/run/xenconsoled.pid"
-#XENCONSOLED_TRACE="/var/log/xen/xenconsole-trace.log"
-#XENSTORED_TRACE="/var/log/xen/xenstore-trace.log"
-
-xen_precmd()
-{
- mkdir -p /var/run/xenstored || exit 1
-}
-
-xen_startcmd()
-{
- local time=0
- local timeout=30
-
- xenstored_pid=$(check_pidfile ${XENSTORED_PIDFILE} ${SBINDIR}/xenstored)
- if test -z "$xenstored_pid"; then
- printf "Cleaning xenstore database.\n"
- if [ -z "${XENSTORED_ROOTDIR}" ]; then
- XENSTORED_ROOTDIR="/var/lib/xenstored"
- fi
- rm -f ${XENSTORED_ROOTDIR}/tdb* >/dev/null 2>&1
- printf "Starting xenservices: xenstored, xenconsoled."
- XENSTORED_ARGS=" --pid-file ${XENSTORED_PIDFILE}"
- if [ -n "${XENSTORED_TRACE}" ]; then
- XENSTORED_ARGS="${XENSTORED_ARGS} -T /var/log/xen/xenstored-trace.log"
- fi
- ${SBINDIR}/xenstored ${XENSTORED_ARGS}
- while [ $time -lt $timeout ] && ! `${BINDIR}/xenstore-read -s / >/dev/null 2>&1` ; do
- printf "."
- time=$(($time+1))
- sleep 1
- done
- else
- printf "Starting xenservices: xenconsoled."
- fi
-
- XENCONSOLED_ARGS=""
- if [ -n "${XENCONSOLED_TRACE}" ]; then
- XENCONSOLED_ARGS="${XENCONSOLED_ARGS} --log=${XENCONSOLED_TRACE}"
- fi
-
- ${SBINDIR}/xenconsoled ${XENCONSOLED_ARGS}
-
- printf "\n"
-
- printf "Setting domain 0 name, domid and JSON config...\n"
- ${PRIVATE_BINDIR}/xen-init-dom0
-}
-
-xen_stop()
-{
- pids=""
- printf "Stopping xencommons.\n"
- printf "WARNING: Not stopping xenstored, as it cannot be restarted.\n"
-
- rc_pid=$(check_pidfile ${XENCONSOLED_PIDFILE} ${SBINDIR}/xenconsoled)
- pids="$pids $rc_pid"
-
- kill -${sig_stop:-TERM} $pids
- wait_for_pids $pids
-}
-
-xen_status()
-{
- xenstored_pid=$(check_pidfile ${XENSTORED_PIDFILE} ${SBINDIR}/xenstored)
- if test -n ${xenstored_pid}; then
- pids="$pids $xenstored_pid"
- fi
-
- xenconsoled_pid=$(check_pidfile ${XENCONSOLED_PIDFILE} ${SBINDIR}/xenconsoled)
- if test -n ${xenconsoled_pid}; then
- pids="$pids $xenconsoled_pid"
- fi
-
- if test -n "$xenconsoled_pid" -a -n "$xenstored_pid";
- then
- echo "xencommons are running as pids $pids."
- return 0
- fi
- if test -z "$xenconsoled_pid" -a -z "$xenstored_pid";
- then
- echo "xencommons are not running."
- return 0
- fi
-
- if test -n $xenstored_pid; then
- echo "xenstored is running as pid $xenstored_pid."
- else
- echo "xenstored is not running."
- fi
- if test -n $xenconsoled_pid; then
- echo "xenconsoled is running as pid $xenconsoled_pid."
- else
- echo "xenconsoled is not running."
- fi
-}
-
-load_rc_config $name
-run_rc_command "$1"
--- /dev/null
+#!/bin/sh
+#
+# PROVIDE: xencommons
+# REQUIRE: DAEMON
+
+. /etc/rc.subr
+
+. @XEN_SCRIPT_DIR@/hotplugpath.sh
+
+LD_LIBRARY_PATH="${LIBDIR}"
+export LD_LIBRARY_PATH
+
+name="xencommons"
+start_precmd="xen_precmd"
+start_cmd="xen_startcmd"
+stop_cmd="xen_stop"
+status_cmd="xen_status"
+extra_commands="status"
+required_files="/dev/xen/privcmd"
+
+XENSTORED_PIDFILE="/var/run/xenstored.pid"
+XENCONSOLED_PIDFILE="/var/run/xenconsoled.pid"
+#XENCONSOLED_TRACE="/var/log/xen/xenconsole-trace.log"
+#XENSTORED_TRACE="/var/log/xen/xenstore-trace.log"
+
+xen_precmd()
+{
+ mkdir -p /var/run/xenstored || exit 1
+}
+
+xen_startcmd()
+{
+ local time=0
+ local timeout=30
+
+ xenstored_pid=$(check_pidfile ${XENSTORED_PIDFILE} ${SBINDIR}/xenstored)
+ if test -z "$xenstored_pid"; then
+ printf "Cleaning xenstore database.\n"
+ if [ -z "${XENSTORED_ROOTDIR}" ]; then
+ XENSTORED_ROOTDIR="/var/lib/xenstored"
+ fi
+ rm -f ${XENSTORED_ROOTDIR}/tdb* >/dev/null 2>&1
+ printf "Starting xenservices: xenstored, xenconsoled."
+ XENSTORED_ARGS=" --pid-file ${XENSTORED_PIDFILE}"
+ if [ -n "${XENSTORED_TRACE}" ]; then
+ XENSTORED_ARGS="${XENSTORED_ARGS} -T /var/log/xen/xenstored-trace.log"
+ fi
+ ${SBINDIR}/xenstored ${XENSTORED_ARGS}
+ while [ $time -lt $timeout ] && ! `${BINDIR}/xenstore-read -s / >/dev/null 2>&1` ; do
+ printf "."
+ time=$(($time+1))
+ sleep 1
+ done
+ else
+ printf "Starting xenservices: xenconsoled."
+ fi
+
+ XENCONSOLED_ARGS=""
+ if [ -n "${XENCONSOLED_TRACE}" ]; then
+ XENCONSOLED_ARGS="${XENCONSOLED_ARGS} --log=${XENCONSOLED_TRACE}"
+ fi
+
+ ${SBINDIR}/xenconsoled ${XENCONSOLED_ARGS}
+
+ printf "\n"
+
+ printf "Setting domain 0 name, domid and JSON config...\n"
+ ${PRIVATE_BINDIR}/xen-init-dom0
+}
+
+xen_stop()
+{
+ pids=""
+ printf "Stopping xencommons.\n"
+ printf "WARNING: Not stopping xenstored, as it cannot be restarted.\n"
+
+ rc_pid=$(check_pidfile ${XENCONSOLED_PIDFILE} ${SBINDIR}/xenconsoled)
+ pids="$pids $rc_pid"
+
+ kill -${sig_stop:-TERM} $pids
+ wait_for_pids $pids
+}
+
+xen_status()
+{
+ xenstored_pid=$(check_pidfile ${XENSTORED_PIDFILE} ${SBINDIR}/xenstored)
+ if test -n ${xenstored_pid}; then
+ pids="$pids $xenstored_pid"
+ fi
+
+ xenconsoled_pid=$(check_pidfile ${XENCONSOLED_PIDFILE} ${SBINDIR}/xenconsoled)
+ if test -n ${xenconsoled_pid}; then
+ pids="$pids $xenconsoled_pid"
+ fi
+
+ if test -n "$xenconsoled_pid" -a -n "$xenstored_pid";
+ then
+ echo "xencommons are running as pids $pids."
+ return 0
+ fi
+ if test -z "$xenconsoled_pid" -a -z "$xenstored_pid";
+ then
+ echo "xencommons are not running."
+ return 0
+ fi
+
+ if test -n $xenstored_pid; then
+ echo "xenstored is running as pid $xenstored_pid."
+ else
+ echo "xenstored is not running."
+ fi
+ if test -n $xenconsoled_pid; then
+ echo "xenconsoled is running as pid $xenconsoled_pid."
+ else
+ echo "xenconsoled is not running."
+ fi
+}
+
+load_rc_config $name
+run_rc_command "$1"